/**
	Auto Zoom Extension for Google Chrome by Szsz.pl

	Copyright (c) 2009, 2010, Szsz.pl All rights reserved
	Use of this source code is governed by a BSD-style license
	that can be found in the LICENSE file.
*/

/* default zoom fix */
var zoomFixName = "Text Zoom";
var zoomPath = "/";
var zoomFix = (function() {

	var ctl;

	return function (z) {
		if (z) {
			if (!ctl) ctl = document.head.insertBefore(document.createElement("style"));
			ctl.innerText = "html {zoom:"+(z/100)+"}\n" +
					"img,object,embed,applet {zoom:"+(100/z)+"}\n";
		} else {
			if (ctl) ctl.innerText = "";
		}
	}
}());
var zoomTest = function() { console.debug("zoom-test is not implemented by default"); };
